/*
 * pawsLoadWindow.h - Author: Andrew Craig
 *
 * Copyright (C) 2003 Atomic Blue (info@planeshift.it, http://www.atomicblue.org)
 *
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation (version 2 of the License)
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 */
 
#ifndef PAWS_LOAD_WINDOW_HEADER
#define PAWS_LOAD_WINDOW_HEADER
//=============================================================================
// Crystal Space Includes
//=============================================================================

//=============================================================================
// Project Includes
//=============================================================================
#include "paws/pawswidget.h"
#include "net/cmdbase.h"

//=============================================================================
// Local Includes
//=============================================================================

//-----------------------------------------------------------------------------
// Forward Declarations
//-----------------------------------------------------------------------------
class pawsMessageTextBox;


/** This is the window that is displayed when the game is loading the maps.
 */
class pawsLoadWindow : public pawsWidget, public psClientNetSubscriber
{
public:
    virtual ~pawsLoadWindow();
    
    bool PostSetup();
    void HandleMessage( MsgEntry* me );
    void AddText( const char* text );
    void Clear();
    void Show();
    void Hide();
    
private:
    pawsMessageTextBox* loadingText;
      
};

CREATE_PAWS_FACTORY( pawsLoadWindow );

#endif

 
